﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="ExorLiveClientScript._default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
	<script src="script.js" type="text/javascript"></script>
	<style type="text/css">
		#dlg, #dlg2
		{
			width: 240px;
			height: 260px;
			padding: 8px;
			background: rgba(255,255,255,.9);
			border: 2px solid #000;
			box-shadow: 0px 0px 10px #888;
			position: absolute !important;
			top: 30% !important;
			left: 50% !important;
			margin-top: -130px !important;
			margin-left: -120px !important;
			z-index: 101;
			text-align:center;
		}
		#dlg .dlgClose, #dlg2 .dlgClose
		{
			position:absolute;
			top: 5px;
			right: 5px;
			width: 25px;
			height: 25px;
		}
	</style>
</head>
<body>
    <form id="form1" runat="server">
		<asp:Menu ID="menuClientApp" runat="server" BackColor="#E3EAEB" DynamicHorizontalOffset="2" Font-Names="Verdana" Font-Size="0.8em" ForeColor="#666666" StaticSubMenuIndent="10px" onmenuitemclick="Menu1_MenuItemClick">
			<DynamicHoverStyle BackColor="#666666" ForeColor="White" />
			<DynamicMenuItemStyle HorizontalPadding="5px" VerticalPadding="2px" />
			<DynamicMenuStyle BackColor="#E3EAEB" />
			<DynamicSelectedStyle BackColor="#1C5E55" />
			<Items>
				<asp:MenuItem Text="ExorLive" Value="ExorLive">
					<asp:MenuItem Text="Disconnect from ExorLive" ToolTip="Disconnects your account from ExorLive" Value="ELDisconnect"></asp:MenuItem>
				</asp:MenuItem>
			</Items>
			<StaticHoverStyle BackColor="#666666" ForeColor="White" />
			<StaticMenuItemStyle HorizontalPadding="5px" VerticalPadding="2px" />
			<StaticSelectedStyle BackColor="#1C5E55" />
		</asp:Menu>


		<h1><strong>An example of a web-based client application with ExorLive integration.</strong></h1>
		<h2>List of contacts / patients / customers:</h2>
		<table style="border: thin solid #800080; text-align: left">
			<tr><th>ID</th><th>firstname</th><th>Lastname</th><th>Date of birth</th><th>Email</th></tr>
			<tr>
				<td>1001</td><td>John</td><td>Doe</td><td>1980-02-15</td><td>john@mydomain.com</td>
				<td>
					<button id="btnOpenCustomer" onclick="btnOpenMyCustomer({customId:'1001',firstname:'John',lastname:'Doe',dob:'1980-02-15',email:'john@mydomain.com'}); return false;">Exercise Programs</button></td>
			</tr>
		</table>
					<!-- Created two buttons. I hide the javascript button if not connected to ExorLive (and requires a server action),
						hides the server side button when connected to ExorLive, when the button only do client side actions -->
					<!-- The nonLogged-in button saves a cookie when clicked, so that when we return after login, we can send the user back into ExorLive -->

		<div id="dlg" style="visibility:hidden;">
			<button class="dlgClose" onclick="document.getElementById('dlg').style.visibility = 'hidden'; return false;">X</button>
			<p><strong>Exercise programs with ExorLive</strong></p>
			<p>If you have an account:</p>
			<asp:Button ID="btnLoginExorLive" runat="server" onclick="btnLoginExorLive_Click" OnClientClick="createCookie('redirectToCustomer',JSON.stringify({customId:'1001',firstname:'John',lastname:'Doe',dob:'1980-02-15',email:'john@mydomain.com'}))" Text="Login to ExorLive" />
			<p>Create an account, or get more information:</p>
			<button onclick="window.open('http://exorlive.com/'); return false;">ExorLive homepage</button>
		</div>
		<div id="dlg2" style="visibility:hidden;">			
			<button class="dlgClose" onclick="document.getElementById('dlg2').style.visibility = 'hidden'; return false;">X</button>
			<p><strong>ExorLive connection is ready</strong></p>
			<p> Connection to ExorLive is ready. 
			Press OK to continue.</p>
			<button id="btnOpenCustomer2">OK</button>
		</div>
	</form>

<h1>Explanations</h1>
<h2>Definitions:</h2>
<ul>
  <li>Client: This application. May be an MRM system, journal system, etc.</li>
  <li>User: The user who is logged into this application, who will also use ExorLive to create exercise programs.</li>
  <li>EL: The ExorLive application where the users may create exercise programs to contacts.</li>
  <li>Contact: The customer of the user. The person receiving the exercise program. Is called 'contact' in ExorLive.</li>
</ul>

<h2>Use case #1: The user has an EL account and wants to use it from the client for the first time.</h2>
The user is logged into the client and presses the button Exercise Programs. The system detects that there are no connected ExorLive session and the user is redirected to the ExorLive login page and logs in.
After login, the user is redirected back to the client application. The client may choose to show a confirmation first or proceed directly to show EL.
EL opens in another tab in the browser, with the user logged in. The selected contact from the client is automatically selected in EL as well.
    <br/>
    The client received EL connection details after login and stored those for later.

<h2>Use case #2: The user has done use case #1 earlier, now the user wanst to access EL again.</h2>
The user is logged into the client and presses the button Exercise Programs. The client already knows the connection details and can open ExorLive directly.
    
<h2>Use case #3: The user does not have an EL account.</h2>
The user must create an account in EL before use case #1 can be used.
    
<h2>Use case #4: The user wants to disconnect from EL.</h2>
The user selects 'Disconnect from ExorLive' in the tiny menu at the top of the page.
In effect, the current connection detals stored in the client is deleted.    

</body>
</html>
